Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156619 - No match for USB device Xerox Phaser 3450 Laser Printer
Summary: No match for USB device Xerox Phaser 3450 Laser Printer
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: foomatic
Version: 3
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-02 15:44 UTC by Tom
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-03 12:34:50 UTC


Attachments (Terms of Use)
This is the PPD file ( which is available from Xerox.com ) (deleted)
2005-05-02 15:46 UTC, Tom
no flags Details

Description Tom 2005-05-02 15:44:12 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050416 Fedora/1.0.3-1.3.1 Firefox/1.0.3

Description of problem:
running system-config-printer from the command line produces the following output.

No match for USB device:
  mfr "Xerox"
  model "Phaser 3450"
  desc "Xerox Phaser 3450 Laser Printer"
  cmdset "PostScript 3,PCL"
Please report this message in Bugzilla:
  https://bugzilla.redhat.com/bugzilla
Choose 'foomatic' as the component.

I imported the PPD file supplied by Xerox and its listed as an available printer. When I use it, sometimes the printer works .. and sometimes it prints all giberish .. both times using the same application ( firefox ).

But it still produces the above error when you try to edit the printer conf.

Version-Release number of selected component (if applicable):
Omni-foomatic-0.9.2-1.1 foomatic-3.0.2-13.4

How reproducible:
Always

Steps to Reproduce:
1.run system-config-print from command line
2.select the printer
3.click edit
  

Actual Results:  No match for USB device:
  mfr "Xerox"
  model "Phaser 3450"
  desc "Xerox Phaser 3450 Laser Printer"
  cmdset "PostScript 3,PCL"
Please report this message in Bugzilla:
  https://bugzilla.redhat.com/bugzilla
Choose 'foomatic' as the component.


Additional info:

Comment 1 Tom 2005-05-02 15:46:31 UTC
Created attachment 113927 [details]
This is the PPD file ( which is available from Xerox.com )

Comment 2 Tim Waugh 2005-05-03 12:34:50 UTC
Thanks for the report.  There is no entry for this model in the foomatic
database at all.  Please submit this information to the linuxprinting project at:

  http://www.linuxprinting.org/contribute.html#data

so that it can be added.  Thanks.


Note You need to log in before you can comment on or make changes to this bug.